Innehåll
Index 🔎︎

# Val Function

Konverterar en sträng till ett numeriskt uttryck.

## Syntax:

    Val (Text As String)

## Returvärde:

Double

## Parametrar:

Text: Sträng som representerar ett tal.

Du kan använda funktionen Val för att konvertera en sträng till ett motsvarande numeriskt värde. Den här funktionen är inversen till funktionen Str. Om det numeriska uttrycket bara är en del av strängen kommer bara de första tecknen i strängen att konverteras. Om strängen helt saknar siffror returnerar funktionen Val värdet 0.

### Felkoder:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleVal
        MsgBox Val("123.123")
        MsgBox Val("A123.123")
    End Sub